package jp.agentec.abook.abv.bl.acms.client.json;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class GroupsJSONTest {

	@Test
	public void testGroupsJSON() {
		String jsonString = "{\"httpStatus\":200,\"groupList\":[{\"groupId\":192,\"groupName\":\"전체그룹\",\"groupLevel\":0,\"parentGroupId\":0},{\"groupId\":193,\"groupName\":\"데모\",\"groupLevel\":1,\"parentGroupId\":192}]}";
		
		try {
			GroupsJSON json = new GroupsJSON(jsonString);
			System.out.println(json.httpStatus);
//			for (GroupJSON group : json.getGroups()) {
//				System.out.println(group.toString());
//			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		assertTrue(true);
	}

}
